https://networkcalc.com/api/domains/
Add a domain to your account.
curl -X POST https://networkcalc.com/api/domains \
--header "Authorization: Bearer 2jdS83kfDdDfllHk" \
--header "Content-Type: application/json" \
--data '{
"domain": "networkcalc.com"
}'
{
"status": "OK",
"domain": {
"id": 123,
"domain": "networkcalc.com",
"created_at": "2021-12-26T15:23:08.639Z",
"updated_at": "2021-12-26T15:23:08.639Z"
}
}
Request Headers
Content-Typeapplication/json
Request Body
Response Format
Response Codes
200
OK - Success.401
MISSING_CREDENTIALS - The request body is missing client_id, client_secret, or both.401
CREDENTIALS_NOT_FOUND - The credentials supplied are not valid.401
NOT_AUTHORIZED - You do not have permission to perform this action.400
NOT_SAVED - There was an error saving the resource. Either the resource did not pass validation or there was a server error preventing it from being saved. Check the request and try again.400
NOT_UPDATED - There was an error saving the resource. Either the resource did not pass validation or there was a server error preventing it from being saved. Check the request and try again.400
NOT_DELETED - There was an error deleting the resource. Check the request and try again.